<?php 

// Please install the following two VS Code Extensions:
// PHP Intelephense
// WordPress Snippets

if ( ! function_exists( 'rubberchicken_setup' ) ) :

function rubberchicken_setup() {
  add_theme_support( 'automatic-feed-links' );
  add_theme_support( 'post-thumbnails' );
  add_theme_support( 'title-tag' );

  // Things we will do here:
  // Add theme support for post formats
  // https://developer.wordpress.org/reference/functions/add_theme_support/
  // Register Menus: 
  // https://codex.wordpress.org/Navigation_Menus
  // Add theme support for custom logos
  // https://developer.wordpress.org/themes/functionality/custom-logo/
  // Add theme support for custom header images 
  // https://www.sitepoint.com/wordpress-custom-logo-api/


}
endif;
add_action('after_setup_theme', 'rubberchicken_setup');

function rubberchicken_scripts_styles(){
  wp_enqueue_style('rubberchicken_style', get_stylesheet_uri());

  // Things we will do here:
  // enqueue google fonts
  // enqueue scripts to control our menus

  // https://developer.wordpress.org/themes/basics/including-css-javascript/
  // https://developer.wordpress.org/reference/functions/wp_enqueue_style/
  // https://developer.wordpress.org/reference/functions/wp_enqueue_script/


}
add_action('wp_enqueue_scripts', 'rubberchicken_scripts_styles');

